#Eneroth Viewport Resizer

#Copyright Julia Christina Eneroth (eneroh3)

#Usage
#	Menu: Plugins
#   Resize Window > Resize window to given size.
#   Resize Viewport > Resize window so viewport gets given size.

#Copyright Julia Christina Eneroth (eneroh3)

#Load the normal support files
require "sketchup.rb"
require "extensions.rb"

module Ene_ViewprtResizer

PLUGIN_ROOT = File.dirname(__FILE__) unless defined?(self::PLUGIN_ROOT)

ex = SketchupExtension.new("Eneroth Viewport Resizer", File.join(PLUGIN_ROOT, "ene_viewport_resizer", "main.rb"))
ex.description = "Resize viewport or window to given size. Useful to export images  matching those exported on a computer with different screen resolution."
ex.version = "1.0.0"
ex.copyright = "Julia Christina (eneroth3) Eneroth 2014"
ex.creator = "Julia Christina (eneroth3) Eneroth"
Sketchup.register_extension ex, true

end#module